> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/get-delivery-time-slots.md).

# Get Delivery Time Slots

Permite obtener la agenda de entrega disponible para una compra determinada. Las franjas horarias obtenidas son las que se ofrecerán al comprador.&#x20;

Al implementar este servicio se deberá tener en consideración que los tiempos de respuesta sean adecuados para no afectar la experiencia del usuario, ya que es una solicitud que se realiza en el proceso de compra.

<table><thead><tr><th width="137">Método</th><th>URL</th></tr></thead><tbody><tr><td><code>POST</code></td><td>https://{ApiURL}/getDeliveryTimeSlots</td></tr></tbody></table>

## Request

<table><thead><tr><th width="218">Clave</th><th width="213">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>order</code></strong></td><td>&#x3C;<a href="/pages/T0m9j7uQb1KH8GC0gbrx#order"><strong>Order</strong></a>></td><td>Detalles de la orden de compra.</td></tr><tr><td><strong><code>serviceType</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#service-type"><strong>ServiceType</strong></a></td><td>Tipo de servicio.</td></tr></tbody></table>

## Response

<table><thead><tr><th width="221">Clave</th><th width="209">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>deliveryTimeSlots</code></strong></td><td>List&#x3C;<a href="#delivery-time-slot"><strong>DeliveryTimeSlot</strong></a>></td><td>Franjas de entrega.</td></tr></tbody></table>

## Delivery Time Slot

<table><thead><tr><th width="221.33333333333331">Clave</th><th width="211">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>from</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#datetime"><strong>DateTime</strong></a></td><td>Fecha y hora comienzo de la franja de entrega</td></tr><tr><td><strong><code>to</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#datetime"><strong>DateTime</strong></a></td><td>Fecha y hora fin de la franja de entrega.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/get-delivery-time-slots.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
